package com.jeeplus.modules.filing.earlyEngineering.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.filing.approvalStage.entity.StudyStage;

import java.util.List;

/**
 * 依法合规实体类
 * */
public class LegalCompliance extends DataEntity<LegalCompliance> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 规划总平（变电站）
     * */
    private String planningLevel;
    /**
     * 勘察定界报告（变电站）
     * */
    private String surveyReport;
    /**
     * 征地红线图（变电站）
     * */
    private String redLineMap;
    /**
     * 用地红线图（变电站）
     * */
    private String redLineLand;
    /**
     * 宗地图
     * */
    private String zongMap;
    /**
     * 勘察合同备案表（变电站）
     * */
    private String recordSurvey;
    /**
     * 设计合同备案表（变电站）
     * */
    private String recordDesign;
    /**
     * 施工合同备案表（变电站）
     * */
    private String recordContract;
    /**
     * 监理合同备案表（变电站）
     * */
    private String supervisionRecord;
    /**
     * 岩土勘察报告审查合格意见（变电站）
     * */
    private String qulifiedOpinions;
    /**
     * 施工图审查合格意见（变电站）
     * */
    private String constructionComments;
    /**
     * 施工图审查合格证（变电站）
     * */
    private String constructionDrawing;
    /**
     * 抗震设防审查证书（变电站）
     * */
    private String seismicReview;
    /**
     * 规划放线报告（变电站）
     * */
    private String planningSetting;
    /**
     * 安监申报书、备案表（变电站）
     * */
    private String safetyRecord;
    /**
     * 质监申报书、备案表（变电站）
     * */
    private String qualityRecord;
    /**
     * 施工许可证
     * */
    private String constructionPermit;
    /**
     * 规划竣工测绘现状图及管线、绿化、比较图（变电站）
     * */
    private String planBuiltMapping;
    /**
     * 质监竣工验收意见（变电站）
     * */
    private String qualityAcceptance;
    /**
     * 城建档案接收合格证明（变电站）
     * */
    private String urbanArchives;
    /**
     * 竣工备案表（变电站）
     * */
    private String completionRecord;
    /**
     * 房产测绘报告
     * */
    private String realEstate;
    /**
     * 宗地复测报告
     * */
    private String reportOnLang;

    /**
     * 子类数据集合
     * */
    private List<LegalCompliance> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="规划总平（变电站）", align=2, sort=4)
    public String getPlanningLevel() {
        return planningLevel;
    }

    public void setPlanningLevel(String planningLevel) {
        this.planningLevel = planningLevel;
    }

    @ExcelField(title="勘察定界报告（变电站）", align=2, sort=5)
    public String getSurveyReport() {
        return surveyReport;
    }

    public void setSurveyReport(String surveyReport) {
        this.surveyReport = surveyReport;
    }

    @ExcelField(title="征地红线图（变电站）", align=2, sort=6 )
    public String getRedLineMap() {
        return redLineMap;
    }

    public void setRedLineMap(String redLineMap) {
        this.redLineMap = redLineMap;
    }

    @ExcelField(title="用地红线图（变电站）", align=2, sort=7)
    public String getRedLineLand() {
        return redLineLand;
    }

    public void setRedLineLand(String redLineLand) {
        this.redLineLand = redLineLand;
    }

    @ExcelField(title="宗地图", align=2, sort=8)
    public String getZongMap() {
        return zongMap;
    }

    public void setZongMap(String zongMap) {
        this.zongMap = zongMap;
    }

    @ExcelField(title="勘察合同备案表（变电站）", align=2, sort=9)
    public String getRecordSurvey() {
        return recordSurvey;
    }

    public void setRecordSurvey(String recordSurvey) {
        this.recordSurvey = recordSurvey;
    }

    @ExcelField(title="设计合同备案表（变电站）", align=2, sort=10)
    public String getRecordDesign() {
        return recordDesign;
    }

    public void setRecordDesign(String recordDesign) {
        this.recordDesign = recordDesign;
    }

    @ExcelField(title="施工合同备案表（变电站）", align=2, sort=11)
    public String getRecordContract() {
        return recordContract;
    }

    public void setRecordContract(String recordContract) {
        this.recordContract = recordContract;
    }

    @ExcelField(title="监理合同备案表（变电站）", align=2, sort=12)
    public String getSupervisionRecord() {
        return supervisionRecord;
    }

    public void setSupervisionRecord(String supervisionRecord) {
        this.supervisionRecord = supervisionRecord;
    }

    @ExcelField(title="岩土勘察报告审查合格意见（变电站）", align=2, sort=13)
    public String getQulifiedOpinions() {
        return qulifiedOpinions;
    }

    public void setQulifiedOpinions(String qulifiedOpinions) {
        this.qulifiedOpinions = qulifiedOpinions;
    }

    @ExcelField(title="施工图审查合格意见（变电站）", align=2, sort=14)
    public String getConstructionComments() {
        return constructionComments;
    }

    public void setConstructionComments(String constructionComments) {
        this.constructionComments = constructionComments;
    }

    @ExcelField(title="施工图审查合格证（变电站）", align=2, sort=15)
    public String getConstructionDrawing() {
        return constructionDrawing;
    }

    public void setConstructionDrawing(String constructionDrawing) {
        this.constructionDrawing = constructionDrawing;
    }

    @ExcelField(title="抗震设防审查证书（变电站）", align=2, sort=16)
    public String getSeismicReview() {
        return seismicReview;
    }

    public void setSeismicReview(String seismicReview) {
        this.seismicReview = seismicReview;
    }

    @ExcelField(title="规划放线报告（变电站）", align=2, sort=17)
    public String getPlanningSetting() {
        return planningSetting;
    }

    public void setPlanningSetting(String planningSetting) {
        this.planningSetting = planningSetting;
    }

    @ExcelField(title="安监申报书、备案表（变电站）", align=2, sort=18)
    public String getSafetyRecord() {
        return safetyRecord;
    }

    public void setSafetyRecord(String safetyRecord) {
        this.safetyRecord = safetyRecord;
    }

    @ExcelField(title="质监申报书、备案表（变电站）", align=2, sort=19)
    public String getQualityRecord() {
        return qualityRecord;
    }

    public void setQualityRecord(String qualityRecord) {
        this.qualityRecord = qualityRecord;
    }

    @ExcelField(title="施工许可证", align=2, sort=20)
    public String getConstructionPermit() {
        return constructionPermit;
    }

    public void setConstructionPermit(String constructionPermit) {
        this.constructionPermit = constructionPermit;
    }

    @ExcelField(title="规划竣工测绘现状图及管线、绿化、比较图（变电站）", align=2, sort=21)
    public String getPlanBuiltMapping() {
        return planBuiltMapping;
    }

    public void setPlanBuiltMapping(String planBuiltMapping) {
        this.planBuiltMapping = planBuiltMapping;
    }

    @ExcelField(title="质监竣工验收意见（变电站）", align=2, sort=22)
    public String getQualityAcceptance() {
        return qualityAcceptance;
    }

    public void setQualityAcceptance(String qualityAcceptance) {
        this.qualityAcceptance = qualityAcceptance;
    }

    @ExcelField(title="城建档案接收合格证明（变电站）", align=2, sort=23)
    public String getUrbanArchives() {
        return urbanArchives;
    }

    public void setUrbanArchives(String urbanArchives) {
        this.urbanArchives = urbanArchives;
    }

    @ExcelField(title="竣工备案表（变电站）", align=2, sort=24)
    public String getCompletionRecord() {
        return completionRecord;
    }

    public void setCompletionRecord(String completionRecord) {
        this.completionRecord = completionRecord;
    }

    @ExcelField(title="房产测绘报告", align=2, sort=25)
    public String getRealEstate() {
        return realEstate;
    }

    public void setRealEstate(String realEstate) {
        this.realEstate = realEstate;
    }

    @ExcelField(title="宗地复测报告", align=2, sort=26)
    public String getReportOnLang() {
        return reportOnLang;
    }

    public void setReportOnLang(String reportOnLang) {
        this.reportOnLang = reportOnLang;
    }

    public List<LegalCompliance> getChildList() {
        return childList;
    }

    public void setChildList(List<LegalCompliance> childList) {
        this.childList = childList;
    }
}
